// VMD3110-4PH MCU UPDATE API V1.2 2018/10/22
#define VMD3110_4PH_MCU_UPDATE_API extern "C" __declspec(dllimport)


VMD3110_4PH_MCU_UPDATE_API void VMD_MCU_Update_Get_DLL_Version(int *pnMajorVersion, int *pnMinorVersion);

VMD3110_4PH_MCU_UPDATE_API int  VMD_MCU_Update_Connect(int nSerialPortNum);
VMD3110_4PH_MCU_UPDATE_API void VMD_MCU_Update_Disconnect();

VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_LoadBinFile(const char *pszFileName, char *pszVersion, unsigned int nVersionLen);
VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_LoadBinFile_W(const wchar_t *pszFileName, wchar_t *pszVersion, unsigned int nVersionLen);
VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_EnterUpdateModeAndEraseFlash();

VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_Start();
VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_IsUpdateFinish(unsigned int *pnPercent);
VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_DoUpdate();

VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_Check_Start();
VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_IsCheckFinish(unsigned int *pnPercent);
VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_DoCheck();

VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_Finish();
VMD3110_4PH_MCU_UPDATE_API int VMD_MCU_Update_Reboot();
